package com.yihu.jw.entity.base.dict;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "base_drug_use_dict")
public class BaseDrugUseDictDO extends UuidIdentityEntityWithCreateTime {
    private String supply_code;
    private String supply_name;
    private String supply_occ;
    private String del_flag;
    private String sort_code;
    private String print_name;
    private String py_code;
    private String d_code;
    private String yb_name;
    private String yb_code;
    private String status;
    @Column(name = "supply_code")
    public String getSupply_code() {
        return supply_code;
    }

    public void setSupply_code(String supply_code) {
        this.supply_code = supply_code;
    }
    @Column(name = "supply_name")
    public String getSupply_name() {
        return supply_name;
    }

    public void setSupply_name(String supply_name) {
        this.supply_name = supply_name;
    }
    @Column(name = "supply_occ")
    public String getSupply_occ() {
        return supply_occ;
    }

    public void setSupply_occ(String supply_occ) {
        this.supply_occ = supply_occ;
    }
    @Column(name = "del_flag")
    public String getDel_flag() {
        return del_flag;
    }

    public void setDel_flag(String del_flag) {
        this.del_flag = del_flag;
    }
    @Column(name = "sort_code")
    public String getSort_code() {
        return sort_code;
    }

    public void setSort_code(String sort_code) {
        this.sort_code = sort_code;
    }
    @Column(name = "print_name")
    public String getPrint_name() {
        return print_name;
    }

    public void setPrint_name(String print_name) {
        this.print_name = print_name;
    }
    @Column(name = "py_code")
    public String getPy_code() {
        return py_code;
    }

    public void setPy_code(String py_code) {
        this.py_code = py_code;
    }
    @Column(name = "d_code")
    public String getD_code() {
        return d_code;
    }

    public void setD_code(String d_code) {
        this.d_code = d_code;
    }
    @Column(name = "yb_name")
    public String getYb_name() {
        return yb_name;
    }

    public void setYb_name(String yb_name) {
        this.yb_name = yb_name;
    }
    @Column(name = "yb_code")
    public String getYb_code() {
        return yb_code;
    }

    public void setYb_code(String yb_code) {
        this.yb_code = yb_code;
    }
    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
